> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Status Standard Rollouts



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/standard-rollouts/{rolloutId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/standard-rollouts/{rolloutId}:
    get:
      tags:
        - Standard Rollouts
      summary: Get Status Standard Rollouts
      operationId: StandardRolloutsController_findStatus_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: rolloutId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardRolloutStatusResponseDto'
      security:
        - bearer: []
components:
  schemas:
    StandardRolloutStatusResponseDto:
      type: object
      properties:
        sourceKind:
          type: string
          enum:
            - catalog
            - fabrication_template
        status:
          enum:
            - queued
            - running
            - completed
            - partial
            - failed
          type: string
        rolloutId:
          type: string
        requestKey:
          type: string
        progress:
          $ref: '#/components/schemas/StandardRolloutProgressDto'
        sources:
          type: array
          items:
            $ref: '#/components/schemas/StandardRolloutNamedSnapshotDto'
        targets:
          type: array
          items:
            $ref: '#/components/schemas/StandardRolloutNamedSnapshotDto'
        outcomes:
          type: array
          items:
            $ref: '#/components/schemas/StandardRolloutOutcomeDto'
        failureCode:
          type: string
          nullable: true
        createdAt:
          type: string
        startedAt:
          type: string
          nullable: true
        completedAt:
          type: string
          nullable: true
      required:
        - sourceKind
        - status
        - rolloutId
        - requestKey
        - progress
        - sources
        - targets
        - outcomes
        - failureCode
        - createdAt
        - startedAt
        - completedAt
    StandardRolloutProgressDto:
      type: object
      properties:
        totalPairs:
          type: number
        processedPairs:
          type: number
        added:
          type: number
        alreadyPresent:
          type: number
        previouslyRemoved:
          type: number
        failed:
          type: number
      required:
        - totalPairs
        - processedPairs
        - added
        - alreadyPresent
        - previouslyRemoved
        - failed
    StandardRolloutNamedSnapshotDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    StandardRolloutOutcomeDto:
      type: object
      properties:
        projectId:
          type: string
        sourceId:
          type: string
        outcome:
          type: string
          enum:
            - added
            - failed
            - already_present
            - previously_removed
        projectItemId:
          type: string
        slotId:
          type: string
        failureCode:
          type: string
      required:
        - projectId
        - sourceId
        - outcome
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````